<!-- <div class="input-group mb-2">
  <div class="input-group-prepend">
    <span class="input-group-text" id="inputGroupFileAddon01" (click)="Upload()">Upload</span>
  </div>
  <div class="custom-file">
    <input type="file" class="custom-file-input" id="inputGroupFile01" 
    (change)="incomingfile($event)"
                    accept="application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" aria-describedby="inputGroupFileAddon01">
    <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
  </div>
</div> -->

<div class="container">
    <!--   <div class="jumbotron" >
      <div class="row">
        <div class="col-sm-6 offset-sm-3"> -->
    <h3>Create Test</h3>
    <form [formGroup]="taskForm" class="formwidth" (ngSubmit)="onSubmit()" #myForm="ngForm">
        <table class="fullwidth" cellspacing="0">
            <tr>
                <td>
                    <mat-form-field>
                        <mat-select name="testType" formControlName="testType" placeholder="Test Type">
                            <mat-option [value]="1">Java</mat-option>
                            <mat-option [value]="2">Dot Net</mat-option>
                            <mat-option [value]="3">PHP</mat-option>
                        </mat-select>
                    </mat-form-field>
                    &nbsp;&nbsp;

                </td>
            </tr>
            <tr>
                <td>
                    <mat-form-field class="example-full-width">
                        <input matInput [matDatepicker]="picker" formControlName="date" placeholder="Choose a date">
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                    <button mat-raised-button (click)="picker.open()">Open</button>
                </td>
            </tr>
            <tr>
                <div class="input-group mb-2">
                    
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="inputGroupFileAddon01" (click)="upLoadQuestion()">Upload Question</span>
                    </div>
                    <div class="custom-file">
                        <input type="file" class="custom-file-input" id="inputGroupFile01"
                            (change)="incomingQuestionfile($event)"
                            accept="application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
                            aria-describedby="inputGroupFileAddon01">
                        <label class="custom-file-label" for="inputGroupFile01">{{questionFilename}}</label>
                    </div>
                </div>
            </tr>
            <tr>
                <div class="input-group mb-2"> 
                    
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="inputGroupFileAddon01" (click)="upLoadEmployee()">Upload Employee</span>
                    </div>
                    <div class="custom-file">
                        <input type="file" class="custom-file-input" id="inputGroupFile01"
                            (change)="incomingEmployeeFile($event)"
                            accept="application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
                            aria-describedby="inputGroupFileAddon01">
                        <label class="custom-file-label" for="inputGroupFile01">{{employeeFilename}}</label>
                    </div>
                </div>
            </tr>
            <tr>
                <td>
                    <mat-form-field class="fullwidth">
                        <input matInput formControlName="duration" placeholder="Test Duration" id="duration"
                            name="duration">
                    </mat-form-field>
                </td>
            </tr>
            <tr>
                <td>
                    <mat-form-field class="fullwidth">
                        <input matInput formControlName="toalQuestion" placeholder="Total Questions" id="toalQuestion"
                            name="toalQuestion">
                    </mat-form-field>
                </td>
            </tr>
            <tr>
                <td>
                    <mat-form-field class="fullwidth">
                        <input matInput formControlName="totalMark" placeholder="Total Marks" id="totalMark"
                            name="totalMark">
                    </mat-form-field>
                </td>
            </tr>
            <tr>
                <td>
                    <mat-form-field class="fullwidth">
                        <input matInput formControlName="totalPassMark" placeholder="Pass Marks" id="totalPassMark"
                            name="totalPassMark">
                    </mat-form-field>
                </td>
            </tr>
        </table>
        <p>
            <mat-form-field class="fullwidth">
                <textarea matInput formControlName="intsruction" placeholder="Instructions for Participants"
                    id="intsruction" name="intsruction"></textarea>
            </mat-form-field>
        </p>

        <p>
            <button type="submit" md-raised-button>Submit</button>
        </p>
    </form>
    <!-- </div>
     </div>
    </div>-->
</div>